Notes de mises à jour de Red Hat Linux 7.1
------------------------------------------

Ce document décrit les nouvelles fonctionnalités de Red Hat Linux 7.1,
qui n'ont pas pu être préparées à temps pour être insérées dans la 
documentation. Pour trouver les informations les plus récentes, consultez 
le fichier RELEASE-NOTES contenu dans le CD 1 de Red Hat Linux.


Changements de dernière minute
------------------------------

    o Le programme d'installation d'Oracle (versions 8.1.7, 8.1.6 et peut-être
      d'autres) ne fonctionne pas correctement avec glibc 2.2 et versions
      supérieures. Le problème réside dans le fait qu'il compile des fichiers
      objets basés sur des versions différentes de glibc (la compatibilité
      binaire n'est assurée que pour les exécutables et les bibliothèques
      partagées à travers la conversion des symboles). Pour résoudre ce
      problème, installez les paquetages de compatibilité de Red Hat Linux 6.2
      (compat-egcs, compat-glibc et compat-libs) et entrez les commandes 
      suivantes avant de lancer le programme d'installation d'Oracle :

        export LD_ASSUME_KERNEL=2.2.5
        . /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh

      La seconde ligne exporte les variables d'environnement qui font que gcc
      et ld cherchent les en-têtes et les bibliothèques de compatibilité de 
      glibc 2.1.3.

    o Rappel concernant l'installation de NFS, FTP ou HTTP -- Puisque le 
      programme d'installation de Red Hat Linux 7.1 peut installer Red Hat
      Linux à partir de plusieurs CD-ROM, si vous souhaitez gérer 
      l'installation de NFS, FTP ou HTTP, vous ne pouvez plus simplement
      monter un seul CD-ROM Red Hat Linux et procéder à l'installation 
      à partir de celui-ci.

      Vous devez en effet copier le répertoire RedHat de chaque CD-ROM
      de Red Hat Linux 7.1 sur une disque :

        - Insérez le CD 1
          montez /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /emplacement/de/l'espace/disque/
          démontez /mnt/cdrom

        - Insérez le CD 2
          montez /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat /emplacement/de/l'espace/disque/
          démontez /mnt/cdrom

      Ensuite vous devez rendre l'/emplacement/de/l'espace/disque accessible 
      au programme d'installation (par exemple, en l'exportant pour
      les installation NFS) :

        - Exportez l'/emplacement/de/l'espace/disque/


Changements et améliorations de l'installation
----------------------------------------------

Le programme d'installation de Red Hat Linux 7.1 comprend de nombreuses
nouvelles fonctionnalités. Pour de plus amples informations, consultez 
le Guide d'installation officiel de Red Hat Linux.

o     Mises à jour concernant le swap -- Le noyau 2.4 est plus agressif que 
      le noyau 2.2 en terme d'utilisation de l'espace. La bonne organisation 
      de l'espace swap dépend, comme pour les versions précédentes du noyau, 
      des éléments suivants :

        - Quantité de mémoire RAM installée
        - Quantité d'espace disque disponible pour le swap
        - Applications exécutées
        - Combinaison des applications exécutées en même temps

      Aucune règle empirique ne peut prendre en considération toutes ces
      données. Cela dit, nous vous recommandons les tailles swap suivantes :

        - Systèmes à un seul utilisateur comportant moins de 128Mo de RAM
          physique : 256Mo

        - Systèmes à un seul utilisateur et petits serveurs comportant une
          mémoire RAM physique de 128Mo : deux fois la RAM physique (2xRAM)

        - Serveurs dédiés de plus de 512Mo de RAM physique : en fonction de
          l'environnement (doit être déterminé au cas par cas)


      Les systèmes présentant des configurations et des charges applicatives
      particulières pourront sans doute fonctionner avec moins d'espace swap 
      (ou pas d'espace du tout). Ces lignes directrices ont pour but d'assurer 
      que vous ne travaillerez pas hors du swap. En tout cas, 
     
      "Il vaut mieux avoir de l'espace swap et ne pas l'utiliser que d'en
      avoir besoin et ne pas en disposer."

    o Problèmes de swap liés à la mise à jour-Si vous exécutez une nouvelle
      installation Red Hat Linux 7.1, le choix de la taille des partitions 
      swap représente un processus relativement simple. Si, au contraire, 
      vous avez un vieux système Red Hat Linux que vous voulez mettre à jour 
      pour en faire un système Red Hat Linux 7.1, la taille des partitions
      swap que vous aviez auparavant peut ne plus être suffisante.

      Le programme d'installation Red Hat Linux 7.1 examine l'espace swap
      disponible. S'il n'y a pas suffisamment d'espace swap, il configurera 
      de l'espace swap supplémentaire sous forme de fichier swap. Le programme 
      d'installation vous demandera de sélectionner une partition sur 
      laquelle vous voulez créer un fichier swap. Il vous demandera
      également quelle taille le nouveau fichier swap devra avoir.

      (REMARQUE : le programme d'installation de Red Hat Linux 7.1 ne crée
      jamais de partition ou de fichier swap de plus de 2Go. Si vous avez 
      besoin de plus de swap, vous devez le configurer à la fin de 
      l'installation.)

    o XFree86 4.0.3 -- Le programme d'installation de Red Hat Linux 7.1
      contient des écrans test améliorés et une meilleure détection de 
      mémoire vidéo. Plus que jamais, il vous simplifiera la vie au cours 
      du processus d'installation.

    o Configuration du pare-feu -- Pour une plus grande sécurité, vous pourrez
      désormais configurer le pare-feu au cours de l'installation du système. 
      Vous pouvez choisir entre deux niveaux de sécurité et sélectionner les 
      services du système que vous voulez activer ou non par défaut.

      N'oubliez pas que les paramètres "medium" et "high" du pare-feu
      bloqueront les services basés sur RPC (comme NIS ou NFS) et les 
      empêcheront donc de fonctionner.

    o Installation du disque dur -- Les images ISO sont désormais requises pour
      l'installation du disque dur. Il n'est donc plus nécessaire de copier 
      et installer l'arborescence entière, il vous suffit de placer les 
      images ISO dans un répertoire. Au cours de l'installation du disque dur,
      dirigez le programme d'installation de Red Hat Linux dans ce répertoire.
      De plus, Red Hat publie des sommes de contrôle MD5 pour toutes les 
      images ISO, vous garantissant ainsi que vous utilisez le logiciel 
      officiel si vous exécutez le programme md5sum pour les images ISO. Vous 
      pourrez donc comparer les sommes de contrôle à celles qui ont été
      publiées par Red Hat.


    o Sélection de la langue -- La sélection de la langue a été nettement
      améliorée. Vous pouvez maintenant procéder à l'installation dans une 
      langue et demander à ce que le système, après l'installation, 
      fonctionne dans une autre langue.

    o Classe d'installation portable -- Une nouvelle classe d'installation
      portable est disponible. Elle reconnaît par défaut le support PCMCIA et 
      devrait être détectée automatiquement si votre ordinateur est doté 
      d'un contrôleur PCMCIA.

    o Support LBA32 -- Il existe maintenant un support pour l'option LBA32
      dans LILO. Il est possible de le lancer depuis les partitions 
      partiellement ou entièrement au-dessus du cylindre 1024
      (qui a été une limitation historique). Notez cependant que toutes les
      cartes mère ne supportent pas cette option, même lorsque le BIOS 
      soutient que le support est disponible. C'est pourquoi cette option 
      est désactivée par défaut. Notez également que cette option est
      disponible UNIQUEMENT lorsqu'une partition a été créée à l'aide de
      fdisk. Cette partition est alors choisie comme partition /boot ou /. 
      La restriction fdisk est nécessaire car il n'est pas possible de créer 
      de partition amorçable au-dessus du cylindre 1024 à l'aide de Disk Druid.

    o Mise à jour de Disk Druid-Disk -- Druid détecte les incohérences de la
      table des parti-tions, comme par exemple les partitions qui ne 
      finissent pas sur des limites de cylindre.
      Cela peut arriver si la géométrie du disque dur est différente de ce
      qu'elle était au moment où le disque avait été partitionné. Dans ces 
      cas, nous vous recommandons d'utiliser le programme fdisk pour examiner 
      de plus près ces incohérences, ou d'ignorer le disque.

    o Configuration graphique de Kickstart -- Red Hat Linux 7.1 fournit
      maintenant une interface graphique pour la création de configurations 
      kickstart, permettant de créer plus facilement des installations 
      personnalisées et sans surveillance.

    o Mise à jour du mode de secours (Rescue) -- Le mode de secours tente de
      monter les systèmes de fichiers de /etc/fstab (en supposant que le
      système de fichiers root puisse être trouvé). Les systèmes de fichiers 
      sont montés sous /mnt/sysimage. Ceci élimine une étape difficile pour 
      l'utilisateur qui emploie ce mode pour la première fois.

    o Nouvelle option sécurisée de configuration de l'authentification -- La
      configuration de l'authentification comprend la capacité d'utiliser 
      Transport Layer Security ( TLS) durant les consultations. TLS permet 
      aux clients LDAP d'utiliser une connexion cryptée lorsqu'ils
      effectuent l'authentification.

    o Améliorations diverses du programme d'installation -- De nombreux tests
      et vérifications supplémentaires sont pratiqués pour résoudre les 
      problèmes qui causaient jusqu'à présent des pannes d'installation. 
      Ceci devrait éliminer une bonne partie des mauvaises expériences 
      auxquelles sont confrontés les nouveaux utilisateurs.

Changements et améliorations du système
---------------------------------------

Red Hat Linux 7.1 comporte de nombreuses nouveautés en-dehors du processus 
d'installation. Certaines de ces nouveautés concernent les programmes du 
serveur, d'autres sont de nouvelles applications ou des changements de 
l'environnement du bureau. Cette liste fournit quelques informations sur ce 
que vous trouverez dans Red Hat Linux 7.1 lorsque vous l'utiliserez.

    o Mise à jour de composants du système central -- Des améliorations ont 
      été apportées aux composants suivants pour la version Red Hat Linux 7.1 :

       - noyau 2.4.x (avec des corrections supplémentaires)
       - glibc 2.2.2
       - KDE 2.1.1
       - XFree86 4.0.3 avec l'extension Xft de rendu des caractères anti-alias
       - GCC 2.96-RH, avec les nombreuses corrections qui ont été apportées
         depuis la version originale 7.0

    o Support USB amélioré -- Le noyau2.4 donne à Red Hat Linux 7.1 un support
      USB plus évolué que celui des versions précédentes de Red Hat Linux. 
      Il reconnaît plus de périphériques et comprend le support de dispositifs
      de stockage comme les CD-ROM. Il supporte également les périphériques à 
      branchement à chaud -- si un périphérique est branché après le 
      démarrage, les pilotes appropriés se chargeront automatiquement.

    o Lecteurs de supports amovibles automatiquement ajoutés à /etc/fstab --
      RedHat Linux 7.1 offre aux utilisateurs la possibilité de monter et
      démonter des supports amovibles. C'est la fonction du programme updfstab
      (qui fait partie de kudzu, le configurateur automatique de matériel au 
      démarrage). Il ajoute et efface les entrées nécessaires dans /etc/fstab.
      Notez que chaque entrée gérée par updfstab contient la nouvelle option 
      kudzu -- il fonctionne comme un indicateur montrant que l'entrée peut 
      être effacée par la suite ; si vous souhaitez ajouter en permanence une
      entrée comme celle-ci dans votre fstab, il vous suffit de désactiver
      l'option kudzu.

      Les périphériques à branchement à chaud sont manipulés par une
      combinaison de cadmgr, hotplug, updfstab et pam_console_apply. Lorsque 
      le noyau notifie à hotplug ou cardmgr qu'un nouveau périphérique de 
      stockage a été attaché au système, updfstab est exécuté pour ajouter 
      les nouvelles entrées à fstab. Ensuite, updfstab exécute 
      pam_console_apply, qui utilise les règles spécifiées dans
      /etc/securi-ty/console.perms pour autoriser l'accès au service à 
      l'utilisateur de la console en cours.

      Les utilisteurs GNOME qui exécutent magicdev verront apparaître
      automatiquement des icônes de périphériques sur leur bureau. magicdev 
      vérifie régulièrement la date de /etc/fstab et indique à gmc d'analyser 
      les périphériques lorsque fstab a changé. Si vous n'exécutez pas 
      magicdev, l'option "Rescan Devices" (analyser les périphériques)
      du menu racine gmc, qui apparaît lorsque vous cliquez avec le bouton
      droit sur le bureau, fonctionne de manière équivalente.

      Les utilisateurs de KDE verront des fonctions similaires.

    o Nouveaux périphériques et pilotes mis à jour-Red Hat Linux 7.1 présente 
      de nombreux nouveaux pilotes, ainsi que des disques mis à jour pour 
      pouvoir s'adapter au noyau 2.4. Ces changement comprennent :

        - Disque Adaptec AIC7XXX SCSI mis à jour
        - sous-système IEEE1394 (FireWire?)
        - Adaptec starfire quad ethernet
        - Aironet 802.11 WiFI ethernet
        - National Semiconductor DP83810 ethernet
        - sous-système ATM et autre disques ATM
        - sous-système DECnet
        - Cyclom 2X, DEFEA, et DEFPA FDDI
        - support IPv6
        - NFS version 3
        - iptables, une couche pare-feu améliorée
        - son Maestro3
        - contrôleur Broadcom BCM5700 PCI-X 10/100/1000BASE-T
        - support des contrôleurs IDE UltraDMA/66 et UltraDMA/100

    o Accélération 3D sous XFree86 4.0.3 -- Une grande quantité de cartes 3DFX
      a été ajoutée à la liste des cartes supportant les images 3D accélérées.
      De plus, les cartes basées sur Intel i810, Matrox G200, G400, G450 
      (REMARQUE : les opérations à double tête sur G450 ne sont pas 
      supportées) et ATI Rage 128 supportent également des images 3D
      accélérées. Les accélérations 3D sur cartes ATI Radeon ne sont pour
      l'instant pas supportées par XFree86 4.0.3.

    o Nouvel outil de configuration d'Apache -- apacheconf :

       - Gère de façon intelligente les hôtes virtuels
       - Utilise "Alchemist Data Library"

    o Nouvel outil de configuration BIND -- bindconf :
       - Facilite la configuration DNS
       - Utilise "Alchemist Data Library"

    o Nouvel outil de configuration de l'impression -- printconf :

       - Filtres basés sur le magicfilter de David Parson, le système foomatic
         et Linux Printing Database (http://linuxprinting.org)
       - Prend en charge plus de 500 imprimantes
       - Met à jour les vieux systèmes configurés avec printtool
       - Utilise "Alchemist Data Library"

    o Des améliorations de Red Hat Network et le service Software Manager
      sont annoncés -- Red Hat Network et son programme client Update 
      Agent ont été étendus pour cette version de Red Hat Linux. De plus, un 
      nouveau service -- Software Manager -- a été annoncé. Cette technologie 
      contient les améliorations suivantes :

       - Update Agent supporte entièrement les opérations en ligne de commande.
       - Un utilitaire de configuration en mode texte est inclus.
       - L'utilisation en mode graphique peut être désactivée en spécifiant
         l'option de ligne de commande --nox.
       - Une résolution plus intelligente des chaînes complexes 
         d'interdépendances des paquetages.
       - Les options de ligne de commande --whatprovides et --solvedeps
         permettent d'interroger la banque de données de Red Hat Network pour 
         afficher graphiquement les dépendances des paquetages.
       - L'option de ligne de commande --packagedir présente une liste de
         répertoires à spécifier. Les dépendances à satisfaire seront 
         recherchées dans ces répertoires.
       - Les mises à jour du noyau peuvent maintenant être exécutée par
         Update Agent.

    o Répertoires Emacs/XEmacs site-start.d-Emacs/XEmacs supportent chacun
      un répertoire site-start.d. Les paquetages peuvent désormais placer les 
      fichiers de lancement emacs .el dans le répertoire approprié et ils 
      seront lus au démarrage de l'éditeur. Il n'est donc plus nécessaire 
      d'éditer directement le fichier site-start.el. Ces répertoires sont :

           /usr/share/emacs/site-lisp/site-start.d
           /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Nouvel outil de configuration ADSL/ISDN-internet-config est un
      remplaçant de adsl-config et isdn-config. Il guide les nouveaux
      utilisateurs dans l'installation du réseau pour les méthodes de 
      connexion courantes.

    o Mise à jour de PostgreSQL-Si vous mettez à jour la version Red Hat
      Linux 6.2 ou une version précédente, vos bases de données actuelles 
      doivent être soumises à un cycle exportation/réimportation. Pour cela, 
      utilisez pg_dumpall(1) AVANT de mettre à jour Red Hat Linux 7.1. Après 
      la mise à jour, consultez le fichier README.rpm dans
      /usr/share/doc/postgresql*/.

      Notez également que la mise à jour maintient les anciens binaires (ainsi
      qu'un script d'aide), mais il est fortement recommandé d'effectuer 
      l'exportation de vos données avant la mise à jour et l'importation après.

    o Mise à jour de OpenLDAP -- Le format de stockage sur disque utilisé par
      slapd, binaire de serveur autonome OpenLDAP, a changé. Les utilisateurs 
      mettant à jour LDAP depuis des versions précédentes de Red Hat Linux 
      devront exporter leurs annuaires dans les fichiers LDIF en utilisant 
      ldbmcat -n et les réimporter dans le nouveau format à l'aide de slapadd.

    o Changements du serveur IMAP -- Par défaut, le serveur IMAP utilise le
      support SSL prédéfini au lieu du support de création de passerelle par 
      stunnel. En conséquence, le nom du fichier de certificat utilisé par 
      imapd est passé de stunnel.pem à imapd.pem. Les utilisateurs mettant à 
      jour une version précédente de Red Hat Linux devront renommer,
      copier ou créer un lien symbolique vers leur certificat existant.

    o Sendmail -- Par défaut, sendmail n'accepte pas de connexions réseau d'un
      autre hôte que l'ordinateur local. Si vous voulez configurer sendmail 
      comme serveur pour d'autres clients, éditez /etc/mail/sendmail.mc et 
      changez DAEMON_OPTIONS pour écouter certains périphériques réseau, ou 
      commentez cette option. Vous devrez régénérer /etc/sendmail.cf en 
      exécutant :

            m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Notez que vous devez avoir installé le paquetage sendmail-cf pour
      effectuer cette opération.

    o Autres paquetages importants :

       - codeur/décodeur audio Ogg Vorbis
       - navigateur Web Mozilla
       - paquetages SGML et XML compatibles LSB
       - KDE 2.1 et KOffice
       - BIND 9.x avec support DNSsec et commande à distance named
       - support SSL dans links, slrn, OpenLDAP et pine
       - Pine 4.33
       - éditeur HTML Quanta (dans les PowerTools)
       - Postfix et exim (dans les PowerTools) comprennent le support SSL/TLS
       - WINE (dans les PowerTools) peut directement exécuter les binaires
         Windows .exe depuis Linux

    o Paquetages obsolètes-Les paquetages suivants sont obsolètes et
      pourraient disparaître dans la prochaine version :

       - AfterStep
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 bibliothèques de compatibilité / environnement de construction
       - elm
       - linuxconf
       - ncpfs
       - mars_nwe
       
Remarques :
-----------

    o Le support PCMCIA a beaucoup changé depuis la version 7 de Red Hat
      Linux ; si vous avez personnalisé le support PCMCIA sous une version 
      précédente de Red Hat Linux, vous devriez revoir vos changements.

    o Certaines JVM (machines virtuelles Java) de Sun et IBM ne fonctionnent
      pas avec la nouvelle fonctionnalité de pile flottante de la version i686
      de glibc. Les pannes sont dues à des assertions dans la programmation 
      des JVM qui ne sont plus valables. Les développeurs de JVM travaillent 
      aux corrections nécessaires. En attendant ces corrections des paquetages
      JVM, vous devrez forcer glibc à utiliser les anciens modèles de piles en
      exportant la variable d'environnement suivante :
                         
                          LD_ASSUME_KERNEL=2.2.5



Documentation concernant les changements et les améliorations
-------------------------------------------------------------

    o Documentation supplémentaire concernant le fichier
      /etc/sysconfig/vncservers -- Les contraintes de temps ne nous ont 
      pas permis de préparer les informations avant la date d'impression du 
      Guide de référence Red Hat Linux.

      Le fichier /etc/sysconfig/vncservers configure le démarrage du serveur
      Virtual Network Computing (VNC). VNC est un système local d'affichage 
      qui vous permet d'afficher un environnement non seulement sur 
      l'ordinateur sur lequel il est exécuté, mais aussi à travers différents 
      réseaux (depuis un réseau local jusqu'à Internet) et utilisant une grande
      variété d'architectures.

      Il peut contenir les éléments suivants :

      VNCSERVERS=<value>, où <value> pourra par exemple ressembler à 1:fred,
      pour indiquer qu'un serveur VNC devrait être lancé par l'utilisateur 
      fred sur l'écran :1. L'utilisateur fred doit avoir installé un mot de 
      passe VNC en utilisant vncpasswd avant d'essayer de se connecter au 
      serveur VNC local.

      Notez que lorsque vous utilisez un serveur VNC, votre communication
      avec lui n'est pas cryptée. Elle ne devrait donc pas être utilisée sur 
      un réseau non sécurisé. Pour obtenir des instructions spécifiques 
      concernant l'utilisation de SSH pour sécuriser la communication
      VNC, veuillez consulter les informations que vous trouverez à l'adresse
      http://www.uk.research.att.com/vnc/ sshvnc.html. Pour en savoir plus
      sur SSH, veuillez vous référer au Guide de référence et au
      Guide de personnalisation Red Hat Linux.

